Microsoft Azure Service Bus Anypoint&trade; Connector Demo - Send/Receive Batch Messages
=================================================================

## Introduction

The present demo application provides a **complete workflow** to send batch messages to a queue and receive.

## Prerequisites

* Java 8
* Anypoint Studio 6.x
* Mule Runtime 3.7.x EE or higher
* DataWeave
* Microsoft Azure ServiceBus instance & credentials

## Deploy Demo

### Create a queue in Azure Portal

* Create a new queue for testing purpose on Azure Portal with [these instructions.](https://docs.microsoft.com/en-us/azure/service-bus-messaging/service-bus-dotnet-get-started-with-queues)

### Import the project

* Go to **File > Import**.
* Select **Anypoint Studio Project from External Location** (under the parent folder "Anypoint Studio").
* Provide the root **path to the demo** project folder.
* Select **Mule Runtime (3.8.2 EE)**.
* Click **Finish**.
* Fill **Azure Credentials and the queue name created in the previous step** on mule-app.properties file located in src/main/app.
* Open the **Global Element Configuration**.
* Click the **Test Connection** button to ensure there is connectivity with the sandbox. A successful message should pop-up.
* Run project.
* Open a browser and access the URL **http://localhost:8081/**. You should see the demo application deployed.


## Run the Demo

### Send-Receive batch messages

* Complete content 1 and content 2 fields (batch of normal messages) and click on **Send** button. Message will be sent to the configured queue.
* Pop-up with a successful message will appear. 
* Edit content field (batch of complex messages) and click on **Send** button. Message will be sent to the configured queue.
* Pop-up with a successful message will appear.
* Click on **Receive** button.
* Pop-up with a successful message and the list of messages IDs, will appear. The list of message IDs corresponds to the messages sent in the previous steps.